Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "d387833e-40c8-407f-9622-a9958e54192a",
  "date_start": "2026-10-20T14:27:17.9571359+00:00",
  "date_end": "2026-10-20T14:27:17.9571359+00:00",
  "modified_dateutc": "2026-10-20T14:27:17.9571359+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "4dfcf7f8-078f-4903-a2c7-1cd467af5ec2",
  "user_code": "sample string 8",
  "user": {
    "id": "3285c88c-6d12-48f4-95bf-0b953521790a",
    "db_language_id": "9641fa1c-ce0a-40c3-9674-65ad4e8e6ba8",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-20T14:27:17.9571359+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "f500a047-da87-42c2-9a45-f62876f56bdd",
    "sales_organization": {
      "id": "769ec51f-5cd8-4235-b7c9-dcef322744dc",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1c19a0a1-5c0c-4013-b5a6-923d5b31669d",
      "db_currency_id": "67c832da-7914-4645-ab9f-30252522ad07",
      "db_language_id": "8be63a5c-8eae-40ef-8d7f-53710147170d",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-20T14:27:17.9571359+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "5844bdf4-18ac-4a3e-929c-867b52d585c8",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "7c3d31a6-fd89-4a56-9c96-0a732f63b0a2",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-20T14:27:17.9571359+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "3b3e4a38-328c-4290-ab48-bf75dc39137b"
  },
  "user_unavailability_type_id": "0e898138-5a3a-4064-9643-7cd4ed6cc377",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "4a3490f2-7086-4603-b809-deb6ed7cd641",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "84478589-ad27-414e-a087-fa88b4bc0a9a",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "769ec51f-5cd8-4235-b7c9-dcef322744dc",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1c19a0a1-5c0c-4013-b5a6-923d5b31669d",
      "db_currency_id": "67c832da-7914-4645-ab9f-30252522ad07",
      "db_language_id": "8be63a5c-8eae-40ef-8d7f-53710147170d",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-20T14:27:17.9571359+00:00"
    },
    "modified_dateutc": "2026-10-20T14:27:17.9571359+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.